com.fasterxml.jackson.dataformat.xml.annotation

## Annotation Type JacksonXmlElementWrapper

    @Target(value={FIELD,METHOD})
     @Retention(value=RUNTIME)
    public @interface JacksonXmlElementWrapper

Annotation that is similar to JAXB `javax.xml.bind.annotation.XmlElementWrapper`, to indicate wrapper element to use (if any) for Collection types (arrays, `java.util.Collection`). If defined, a separate container (wrapper) element is used; if not, entries are written without wrapping.

### Field Summary

Fields
`static String` `USE_PROPERTY_NAME` Marker value (empty String) that denotes that the underlying property name should also be used as the wrapper name, effectively "doubling" start and end elements.

### Optional Element Summary

Optional Elements
`String` `localName`
`String` `namespace`
`boolean` `useWrapping` Optional property that can be used to explicitly disable wrapping, usually via mix-ins, or when using `AnnotationIntrospector` pairs.

### Field Detail

#### USE_PROPERTY_NAME

    public static final String USE_PROPERTY_NAME

Marker value (empty String) that denotes that the underlying property name should also be used as the wrapper name, effectively "doubling" start and end elements.

Since:
  2.1

### Element Detail

#### namespace

    public abstract String namespace

Default:
  ""

#### localName

    public abstract String localName

Default:
  ""

#### useWrapping

    public abstract boolean useWrapping

Optional property that can be used to explicitly disable wrapping, usually via mix-ins, or when using `AnnotationIntrospector` pairs.

Since:
  2.1

Default:
  true